Bug 1266157 - Test FCOE storages domains
Test FCOE storages domains
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.5.1
Unspecified Unspecified
high Severity high
: ovirt-3.6.1
: 3.6.1
Assigned To: Aharon Canan
Elad
: TestOnly
Depends On:
Blocks: RHEV_FCOE 1334745 1334748
  Show dependency treegraph
 
Reported: 2015-09-24 11:54 EDT by Yaniv Lavi
Modified: 2016-05-10 08:46 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: RHEV_FCOE
Environment:
Last Closed: 2016-04-19 21:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2015-09-24 11:54:34 EDT
Test FCoE for gaps\issues.
Comment 1 Fabian Deutsch 2015-10-08 06:27:16 EDT
This also needs to be tested on RHEV-H
Comment 3 Elad 2015-12-03 11:31:24 EST
Tested storage basic sanity using a single host connected to storage server by FCoE. Used a regular FC domain(s) based on the LUNs exposed by FCoE.
The following flows tested and passed:

- DC initialization (domain creation, attachment and activation) (2 domains)
• VM creation with OS rhel7.1, with 2 disks attached (thin, prea)
• VM deletion with pre and thin disks
• Snapshot creation (live)
• Snapshot preview
• Snapshot undo
• Snapshot commit
• Clone from snapshot
• Live snapshot merge
• Cold snapshot merge
• Hotplug disk
• lsm (thin and pre)
• cold move
• Template creation 
• Template deletion
• create vm from temp (thin and cloned)
• vm export 
• template export
• vm import (while source image exists and while not)
• template import
• master domain failover (maintenance and block)

Using:
RHEL7.2
vdsm-4.17.11-0.el7ev.noarch
libvirt-daemon-1.2.17-13.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.4.x86_64
sanlock-3.2.4-1.el7.x86_64
fcoe-utils-1.0.30-3.git91c0c8c.el7.x86_64
kernel - 3.10.0-327.el7.x86_64
rhevm-3.6.1-0.2.el6.noarch
Comment 4 Fred Rolland 2015-12-06 07:15:19 EST
Elad, can you please also check:

- Add a new LUN to existing Storage domain ( discovery of new device).
- Resize a LUN that is part of an existing storage domain.

Note You need to log in before you can comment on or make changes to this bug.